ASTRO(4)

NAME
astro - Astro Memory and I/O controller

SYNOPSIS
astro* at mainbus?
elroy* at astro?

DESCRIPTION
The astro driver provides support for the Astro memory and I/O controller used on systems with PA-8500 and later 64-bit CPUs. It functions as a bridge from the Runway bus to up to 8 I/O ropes that connect to Elroy chips. Astro contains an IOMMU and provides support for cache coherent DMA.

SEE ALSO
hppa/cpu(4), hppa/elroy(4), hppa/intro(4)

HISTORY
The astro driver first appeared in OpenBSD 4.2. It was ported to NetBSD 6.0 by Nick Hudson.